Subject: Re: bug#6039: Building Emacs BZR with GCC 4.5.0

From: Vladimir Lomov <[email-masked]>
Date: Tue, 27 Apr 2010 12:01:53 +0900

** Chong Yidong [2010-04-26 11:03:19 -0400]:

> Vladimir Lomov <[email-masked]> writes:

>> Hi.

>> (Some response to #6031, http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6031)

>> I'm trying to compile Emacs from BZR using gcc 4.5.0
>> $ bzr revno
>> 100035

>> Compilation went ok but when I try to run Emacs it segfault'ed.

> Could you see if the problem also exists on the emacs-23 branch?
> Thanks.

Sorry, I can't.

I took sources from gnu.org:
emacs-23.1.tar.gz
emacs-22.3.tar.gz
and configured them with the same options as for emacs BZR. But make
fails:
================== emacs-23.1 ======================
cd lib-src; make all                            \
	  CC='gcc' CFLAGS='-g -O2 -Wno-pointer-sign ' CPPFLAGS='-D_BSD_SOURCE  ' \
	  LDFLAGS='-Wl,-znocombreloc ' MAKE='make'
make[1]: Entering directory `/home/USER/tmp/emacs-23.1/lib-src'
Makefile:144: *** commands commence before first target.  Stop.
make[1]: Leaving directory `/home/USER/tmp/emacs-23.1/lib-src'
make: *** [lib-src] Error 2
====================================================

================== emacs-22.3 ======================
cd lib-src; make all  \
	  CC='gcc' CFLAGS='-g -O2 -Wno-pointer-sign ' CPPFLAGS='-D_BSD_SOURCE  ' \
	  LDFLAGS='-Wl,-znocombreloc ' MAKE='make'
make[1]: Entering directory `/home/USER/tmp/emacs-22.3/lib-src'
Makefile:148: *** commands commence before first target.  Stop.
make[1]: Leaving directory `/home/USER/tmp/emacs-22.3/lib-src'
make: *** [lib-src] Error 2
====================================================

Lines 143-144 in lib-src/Makefile:
================== emacs-23.1 ======================
ALL_CFLAGS = -D_BSD_SOURCE -DHAVE_CONFIG_H
	  -I. -I../src -I${srcdir} -I${srcdir}/../src ${LDFLAGS} ${CPPFLAGS} ${CFLAGS}
====================================================

Lines 147-148 in lib-src/Makefile:
================== emacs-22.3 ======================
ALL_CFLAGS = -D_BSD_SOURCE -DHAVE_CONFIG_H
	  -I. -I../src -I${srcdir} -I${srcdir}/../src ${LDFLAGS} ${CPPFLAGS} ${CFLAGS}
====================================================

I use
$ autoconf --version
autoconf (GNU Autoconf) 2.65
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+/Autoconf: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David J. MacKenzie and Akim Demaille.

$ automake --version
automake (GNU automake) 1.11.1
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl-2.0.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Tom Tromey <[email-masked]>
       and Alexandre Duret-Lutz <[email-masked]>.

As I already mentioned I could compile emacs with gcc 4.4.3 (my another
machine with the same distro).

P.S.
My previous successful compilation of Emacs BZR was on Sat
2010-04-24, (bzr revno 100014). After that I updated my system and any
further compilation (I tried 100014, 100013, EMACS_23_1_BASE) Emacs was
successful but all them are segfault'ed (this happened on my home machine).
Compilation with ''without-x' option passed to configure didn't help.

-- 
Try to get all of your posthumous medals in advance.